Subject: user messages & other customizations

From: "Steven D. Majewski" <[email-masked]>
Date: Mon, 29 Aug 1994 17:15:37 -0400 (EDT)

The new pine looks great! Good job, guys - It was worth the wait!

I noticed that there was a place for local support in the help.
I added a /usr/local/lib/pine.info file with my name and address
and it came up in the help. 

Is there any way, other than wrapping the pine command in a script,
to cause a user notice to pop up ? I would like to warn users that
I'll be replacing 3.89 with 3.90 before I actually do it. 

( We had a number of problems when we upgraded to 3.89 with pine
  locking up - problem and cure recounted in another thread. It
  seems to be fixed, but I'ld still like to warn them. ) 

Or is there a way to add this to the 3.90 startup when it gives 
a newuser message. It clearly checks the status of the config 
file, or some indicator and know when it's the first time the new
version has been run. If I can't warn them ahead of time, I'ld
like to at least customize that message to tell them how they can
run the old version if they run into problems. 

If not, that would be a useful customization to add. 
The best alternative I can think of would be to make a shell
script to replace the pine command, that sends a notification
with /bin/mail before invoking pine ( and leaving a .pine-user-notified
file or something behind ) 

I would also like to make domain addressing the global default,
however, when I tried doing this before, I had problems because
users had to have run a separate 'mailreg' program that registers
their machine address before they could use domain addressing 
without the possibility of a bounce. ( The central server is 
smart enough to TRY to find a unique match to a unregistered name,
but that doesn't always work. )

Similarly, it would be nice if there were some way to add hooks 
to pine to support this mailreg procedure. Again, wrapping pine
in a script would be one solution, but I would perfer to have 
the hooks IN pine, even if it meant recompiling with some 
customization. ( and for captive mail only accounts, it would
be nice if this were more restrictive than the generic "|" . 
One of the nice things about Pine is that it's so well integrated
as mailer/address-book/news/editor - some folks here don't 
really have to learn another program if they don't want to be
bothered. I'ld like to be able to keep it that way! ) 

- Steve Majewski       (804-982-0831)      <[email-masked]>
- UVA Department of Molecular Physiology and Biological Physics